﻿@using SiteGuide.Service.Views.Kml.Shared
@model ContactListViewModel

<br />
@if (!Model.Contacts.Any())
{
    <text><b>@Model.Title - ?</b></text>
}
else
{
    <text><b>@Model.Title</b>:</text>
    foreach (var contact in Model.Contacts)
    {
        @if (!string.IsNullOrWhiteSpace(contact.Link))
        {
            <a href='@contact.Link'>@contact.Name</a>
        }
        else
        {
            <text>@contact.Name</text>
        }
        @if (!string.IsNullOrWhiteSpace(contact.Phone))
        {
            <text> (@string.Join(", ", contact.Phone.Split(",", StringSplitOptions.RemoveEmptyEntries)))</text>
        }
        @if (!string.IsNullOrWhiteSpace(contact.Address))
        {
            <text> @contact.Address</text>
        }
        if (contact != Model.Contacts.Last())
        {
            <text>, </text>
        }
    }
}
